spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marek Wiewiorka <marek.wiewio...@gmail.com>
Subject Re: Error while building spark-0.7.3
Date Mon, 02 Sep 2013 10:44:58 GMT
Thanks a lot!
It worked for me as well on Ubuntu platform.
Regards,
Marek


2013/9/1 giive chen <thegiive@gmail.com>

> Hi Henry
>
> I also have this problem today and after 5 hour's survey. I finally
> got a successfully workaround.
>
> Put this line into your sbt build file(like simple.sbt )
>
>
> ivyXML :=
> <dependency org="org.eclipse.jetty.orbit" name="javax.servlet"
> rev="2.5.0.v201103041518">
> <artifact name="javax.servlet" type="orbit" ext="jar"/>
> </dependency>
>
> And it should works on my mac and on my clean Ubuntu VM.
>
> Wisely Chen
>
>
> On Sat, Aug 31, 2013 at 5:07 AM, Henry Saputra <henry.saputra@gmail.com>
> wrote:
> > Including Spark's dev@ list to get more potential audience building
> Spark
> > from source.
> >
> >
> > - Henry
> >
> >
> > On Fri, Aug 30, 2013 at 1:39 PM, Marek Wiewiorka <
> marek.wiewiorka@gmail.com>
> > wrote:
> >>
> >> Hi All,
> >> I came across an error while building spark-0.7.3 from sources. It seems
> >> to be a problem with a broken link to javax.servlet.orbit:
> >>
> >> [info] Resolving commons-lang#commons-lang;2.6 ...
> >> [warn]  [NOT FOUND  ]
> >>
> org.eclipse.jetty.orbit#javax.servlet;2.5.0.v201103041518!javax.servlet.orbit
> >> (104ms)
> >> [warn] ==== public: tried
> >> [warn]
> >>
> http://repo1.maven.org/maven2/org/eclipse/jetty/orbit/javax.servlet/2.5.0.v201103041518/javax.servlet-2.5.0.v201103041518.orbit
> >> [warn]  ::::::::::::::::::::::::::::::::::::::::::::::
> >> [warn]  ::              FAILED DOWNLOADS            ::
> >> [warn]  :: ^ see resolution messages for details  ^ ::
> >> [warn]  ::::::::::::::::::::::::::::::::::::::::::::::
> >> [warn]  ::
> >>
> org.eclipse.jetty.orbit#javax.servlet;2.5.0.v201103041518!javax.servlet.orbit
> >> [warn]  ::::::::::::::::::::::::::::::::::::::::::::::
> >> [error]
> >> {file:/home/marek/Phd/bigDataPrototype/spark/}default-471473/*:update:
> >> sbt.ResolveException: download failed:
> >>
> org.eclipse.jetty.orbit#javax.servlet;2.5.0.v201103041518!javax.servlet.orbit
> >>
> >> I found some possible workarounds in other forums but none worked for
> me.
> >> Did anybody also experience such an issue?
> >>
> >> Regards,
> >> Marek
> >>
> >
>

Mime
View raw message